# BundleRegistration

## Example BundleRegistration Object

```
{
  "code": "abc123",
  "name": "account",
  "company": "Action Verb",
  "email": "john.doe@files.com",
  "ip": "10.1.1.1",
  "inbox_code": "abc123",
  "clickwrap_body": "",
  "form_field_set_id": 1,
  "form_field_data": "",
  "bundle_id": 1,
  "bundle_recipient_id": 1
}
```

* `code` (string): Registration cookie code
* `name` (string): Registrant name
* `company` (string): Registrant company name
* `email` (string): Registrant email address
* `ip` (string): Registrant IP Address
* `inbox_code` (string): InboxRegistration cookie code, if there is an associated InboxRegistration
* `clickwrap_body` (string): Clickwrap text that was shown to the registrant
* `form_field_set_id` (int64): Id of associated form field set
* `form_field_data` (string): Data for form field set with form field ids as keys and user data as values
* `bundle_id` (int64): Id of associated bundle
* `bundle_recipient_id` (int64): Id of associated bundle recipient


---

## List Bundle Registrations

```
Files::BundleRegistration.list(
  user_id: 1, 
  per_page: 1, 
  bundle_id: 1
)
```

### Parameters

* `user_id` (int64): User ID.  Provide a value of `0` to operate the current session's user.
* `cursor` (string): Used for pagination.  Send a cursor value to resume an existing list from the point at which you left off.  Get a cursor from an existing list via the X-Files-Cursor-Next header.
* `per_page` (int64): Number of records to show per page.  (Max: 10,000, 1,000 or less is recommended).
* `bundle_id` (int64): ID of the associated Bundle
